#include "network.hh"
#include <iostream>

#include <string>

#include <sys/socket.h>
#include <netinet/in.h>

#include <unistd.h>

using namespace std;

int
main()
{
  try {
    if (fork() == 0) {
      sleep(1);
      
      int sock = createUdpSocket(5030);

      sendString(sock, 5030, "heippa\n");
      sendString(sock, 5030, "hoipaa\n");
    } else {
      int sock = createUdpSocket(5030);

      for (int c = 0; c < 2; c++) {
	string str = receiveString(sock);
	cout << str;
      }
    }
  } catch (NetworkException& e) {
    cout << e.what() << endl;
  }
  return 0;
}
